<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>
        const arr = ['hello', 'world', 23, '23', null];
        
        function filterBy(arr, str) {
            const result = [];
            
            arr.forEach(element => {
                if(typeof element != str){
                    result.push(element)
                }
            });
            return result;
        }
        console.log(filterBy(arr, 'string'))
        
    </script>
</body>
</html>